    Display the data, model, and residuals for a data set in the image viewer.

image_fit(id=None, newframe=True, tile=True, deleteframes=True)
id - int or str, optional
newframe - bool, optional
tile - bool, optional
deleteframes - bool, optional

This function displays the data, model (including any instrument response), and the residuals (data - model), for a data set.

The image viewer is automatically started if it is not already open.

Display the fit results - that is, the data, model, and residuals - for the default data set.

>>> image_fit()

Do not tile the frames (the three frames are loaded, but only the last displayed, the residuals), and then change the frame being displayed to the second one (the model).

>>> image_fit('img', tile=False) >>> image_xpaset('frame 2')

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set. If not given then the default identifier is used, as returned by `get_default_id` .
newframe
Create a new frame for the data? If False , the default, then the data will be displayed in the current frame.
tile
Should the frames be tiles? If False , the default, then only a single frame is displayed.
deleteframes
Should existing frames be deleted? The default is True .

Notes

Image visualization is optional, and provided by the DS9 application.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023